Skip to main content
POST
Create Slotting Rule Set

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the referenced Warehouse.

Query Parameters

fields
enum<string>[]

Specify fields of the SlottingRuleSet object to include in the response.

Available options:
all,
name,
description,
is_active,
rule_count,
has_conflicts,
conflicting_rule_count,
created_at,
updated_at

Body

application/json

The body of a Slotting Rule Set create request. The warehouse comes from the path. New Rule Sets are inactive so their Rules can be reviewed before the Set participates in Slotting decisions.

name
string
required

Name unique within the warehouse.

Required string length: 1 - 255
Example:

"Hazmat Storage Rules"

description
string | null

Optional purpose or operating note for the Rule Set.

Maximum string length: 16000
Example:

"Keeps regulated aerosols in approved storage areas."

Response

The inactive Slotting Rule Set was created.

resource
SlottingRuleSet · object

Warehouse-scoped collection of Slotting Rules that can be activated or deactivated as one unit.

Example:
included
object

Always empty because Rule Sets have no expandable relationships in this slice.

meta
object

Additional metadata pertaining to the response.